import { Archive } from '@ewizardjs/system-settings';
import { ArchiverOptions } from '../../interfaces/archiver.interface';
export default class Archiver {
    protected presentationPath: string;
    protected options: ArchiverOptions;
    constructor(presentationPath: string, options: ArchiverOptions);
    zip(): Promise<unknown>;
    protected collectFilesToArchive(): Promise<string[]>;
    protected archive(filesPaths: string[]): Promise<unknown>;
    private getPrettyUpdatedSettingsJson;
    protected getArchiveName(): Promise<string>;
    protected getZipPath(archiveName: string): string;
    protected getFilePatterns(ignoredFiles?: string[]): Promise<string[]>;
    protected getMergedPatterns(archiveSettings: Archive, ignoreLayoutsFolder: string): string[] | Promise<string[]>;
    protected getSettingsJson(): Promise<any>;
}
